> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Update

PATCH https://api.icepanel.io/v1/organizations/{organizationId}/users/{userId}
Content-Type: application/json

Reference: https://developer.icepanel.io/api-reference/organizations/users/update

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `organizationId` (string, required)
- `userId` (string, required)

### Body (application/json)

This endpoint expects an OrganizationUser.

- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapePermissions` (map from string to boolean, optional)

## Response

### 200

OK

- `organizationUser` (OrganizationUser, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 503 Service Unavailable Error

Service Unavailable

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### OrganizationUser

- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapePermissions` (map from string to boolean, optional)

## Examples

**Request**

```json
{
  "permission": "billing"
}
```

**Response**

```json
{
  "organizationUser": {
    "permission": "billing",
    "landscapePermissions": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/organizations/organizationId/users/userId"

payload = { "permission": "billing" }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/organizations/organizationId/users/userId"

	payload := strings.NewReader("{\n  \"permission\": \"billing\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/organizations/organizationId/users/userId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"permission\": \"billing\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```